<template>
  <connection-details name="Samourai Wallet">
    <step-list>
      <step>
        Install
        <b-link to="/app-store/app/samourai-server">Samourai Server app</b-link>
        on your Citadel.
      </step>
      <step>
        Open the app and follow instructions to connect Samourai Wallet to your
        Citadel's Dojo.
      </step>
    </step-list>
  </connection-details>
</template>

<script lang="ts" setup>
import ConnectionDetails from "@/components/ConnectWallet/ConnectionDetails.vue";
import StepList from "@/components/ConnectWallet/StepList.vue";
import Step from "@/components/ConnectWallet/Step.vue";

defineProps({
  urls: {
    type: Object,
    required: true,
  },
});

defineEmits(["showQrModal"]);
</script>
